[SCM] BOINC packaging branch, SZTAKI, updated. debian/6.10.17+dfsg-3-320-g05a36d6

Steffen Moeller moeller at debian.org
Mon Jun 13 11:52:29 UTC 2011


The following commit has been merged in the SZTAKI branch:
commit 05a36d609e6e1e574afd45ad34d2bb27f104c9d9
Author: Steffen Moeller <moeller at debian.org>
Date:   Mon Jun 13 13:51:42 2011 +0200

    More simplifications.

diff --git a/SZTAKI_patches_remaining_to_move_into_debian.patch b/SZTAKI_patches_remaining_to_move_into_debian.patch
index a60d59e..56d6505 100644
--- a/SZTAKI_patches_remaining_to_move_into_debian.patch
+++ b/SZTAKI_patches_remaining_to_move_into_debian.patch
@@ -548,27 +548,6 @@ def builddir(*dirs):
  
  dir_hier_move_SOURCES = dir_hier_move.cpp
 -dir_hier_move_LDADD = $(SERVERLIBS)
---- boinc-server-6.11.0+r18946.orig/tools/vote_monitor
-+++ boinc-server-6.11.0+r18946/tools/vote_monitor
-@@ -1,7 +1,16 @@
- #! /bin/sh 
--cd `dirname $0`
- 
--MOD_EMAIL_ADDRESS=`grep POST_REPORT_EMAILS ../html/project/project.inc  | awk -F\" '{print $(NF-1);}'`
-+CONFIG_XML=
-+for dir in "$BOINC_PROJECT_DIR" "." ".." "../.."; do
-+	test -e "$dir/config.xml" && CONFIG_XML="$dir/config.xml"
-+done
-+if [ -z "$CONFIG_XML" ]; then
-+	echo "Could not find config.xml" 1>&2
-+	exit 1
-+fi
-+BOINC_PROJECT_DIR=${BOINC_PROJECT_DIR:-$(dirname "$CONFIG_XML")}
-+
-+MOD_EMAIL_ADDRESS=`grep POST_REPORT_EMAILS "$BOINC_PROJECT_DIR"/html/project/project.inc  | awk -F\" '{print $(NF-1);}'`
- 
- 
- while true ; do 
 --- boinc-server-6.11.0+r18946.orig/tools/backend_lib.cpp
 +++ boinc-server-6.11.0+r18946/tools/backend_lib.cpp
 @@ -187,9 +187,9 @@
diff --git a/debian/patches/series b/debian/patches/series
index 5c6e62a..2277c19 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -1,4 +1,6 @@
 local_sztaki_toolsUpgradeSimplification.patch
+upstream_sztaki_voteMonChecksConfig.patch
+upstream_sztaki_useParseConfigConsistently.patch
 upstream_sztaki_cryptProg_simplification.patch
 local_sztaki_toolsSZDG.patch
 debian_adjust_path_boinc_make_project.patch
diff --git a/debian/patches/upstream_sztaki_useParseConfigConsistently.patch b/debian/patches/upstream_sztaki_useParseConfigConsistently.patch
new file mode 100644
index 0000000..05fb62a
--- /dev/null
+++ b/debian/patches/upstream_sztaki_useParseConfigConsistently.patch
@@ -0,0 +1,54 @@
+Index: boinc/tools/calculate_credit_multiplier
+===================================================================
+--- boinc.orig/tools/calculate_credit_multiplier	2011-06-13 13:50:25.000000000 +0200
++++ boinc/tools/calculate_credit_multiplier	2011-06-13 13:50:32.000000000 +0200
+@@ -7,21 +7,22 @@
+ FILE_DELETE_DONE=2
+ FILE_DELETE_ERROR=3
+ 
+-dbhost=`grep db_host ../config.xml | tr '[\<\>]' '[  ]' | head -1 | awk '{print $2}'`
+-replica_dbhost=`grep replica_db_host ../config.xml | tr '[\<\>]' '[  ]' | head -1 | awk '{print $2}'`
+-dbuser=`grep db_user ../config.xml | tr '[\<\>]' '[  ]' | head -1 | awk '{print $2}'`
+-dbname=`grep db_name ../config.xml | tr '[\<\>]' '[  ]' | head -1 | awk '{print $2}'`
++dbhost=`parse_config db_host`
++replica_dbhost=`parse_config replica_db_host`
++dbuser=`parse_config db_user`
++dbname=`parse_config db_name`
++dbpass=`parse_config db_passwd`
+ 
+ if test ! -z "${replica_dbhost}" ; then
+-  slave_gap=`mysql -E -h ${replica_dbhost} --execute="show slave status" | grep Seconds_Behind_Master | awk '{print $2}'`
++  slave_gap=`mysql -E -h ${replica_dbhost} --password="$dbpass" --execute="show slave status" | grep Seconds_Behind_Master | awk '{print $2}'`
+ fi
+ 
+ if test -z "${replica_dbhost}" || test "$slave_gap" = "NULL" || test $slave_gap -gt $RUN_INCREMENT ; then
+   replica_dbhost=${dbhost}
+ fi
+ 
+-MYSQL="mysql -D $dbname -h $dbhost -u $dbuser -N -B"
+-MYSQL_R="mysql -D $dbname -h $replica_dbhost -u $dbuser -N -B"
++MYSQL="mysql -D $dbname -h $dbhost -u $dbuser --password='$dbpass' -N -B"
++MYSQL_R="mysql -D $dbname -h $replica_dbhost -u $dbuser --password='$dbpass' -N -B"
+ 
+ function median_host_query() {
+   $MYSQL --execute="
+Index: boinc/tools/vote_monitor
+===================================================================
+--- boinc.orig/tools/vote_monitor	2011-06-13 13:50:09.000000000 +0200
++++ boinc/tools/vote_monitor	2011-06-13 13:50:32.000000000 +0200
+@@ -19,10 +19,11 @@
+ msgfile=`mktemp -p /tmp setimods.XXXXXX` || exit 1
+ sec_from_hour=`expr $now % 3600`
+ 
+-dbhost=`grep db_host ../config.xml | tr '[\<\>]' '[  ]' | head -1 | awk '{print $2}'`
+-dbuser=`grep db_user ../config.xml | tr '[\<\>]' '[  ]' | head -1 | awk '{print $2}'`
+-dbname=`grep db_name ../config.xml | tr '[\<\>]' '[  ]' | head -1 | awk '{print $2}'`
+-MYSQL="mysql -D $dbname -h $dbhost -u $dbuser -N -B"
++dbhost=`parse_config db_host`
++dbuser=`parse_config db_user`
++dbname=`parse_config db_name`
++dbpass=`parse_config db_passwd`
++MYSQL="mysql -D $dbname -h $dbhost -u $dbuser --password='$dbpass' -N -B"
+ 
+ nmods=`$MYSQL --execute="select count(userid) from forum_preferences where special_user like '1%'"`
+ major=`expr $nmods / 2`
diff --git a/debian/patches/upstream_sztaki_voteMonChecksConfig.patch b/debian/patches/upstream_sztaki_voteMonChecksConfig.patch
new file mode 100644
index 0000000..9495aa7
--- /dev/null
+++ b/debian/patches/upstream_sztaki_voteMonChecksConfig.patch
@@ -0,0 +1,23 @@
+Index: boinc/tools/vote_monitor
+===================================================================
+--- boinc.orig/tools/vote_monitor	2011-06-13 13:49:16.000000000 +0200
++++ boinc/tools/vote_monitor	2011-06-13 13:49:26.000000000 +0200
+@@ -1,7 +1,16 @@
+ #! /bin/sh 
+-cd `dirname $0`
+ 
+-MOD_EMAIL_ADDRESS=`grep POST_REPORT_EMAILS ../html/project/project.inc  | awk -F\" '{print $(NF-1);}'`
++CONFIG_XML=
++for dir in "$BOINC_PROJECT_DIR" "." ".." "../.."; do
++	test -e "$dir/config.xml" && CONFIG_XML="$dir/config.xml"
++done
++if [ -z "$CONFIG_XML" ]; then
++	echo "Could not find config.xml" 1>&2
++	exit 1
++fi
++BOINC_PROJECT_DIR=${BOINC_PROJECT_DIR:-$(dirname "$CONFIG_XML")}
++
++MOD_EMAIL_ADDRESS=`grep POST_REPORT_EMAILS "$BOINC_PROJECT_DIR"/html/project/project.inc  | awk -F\" '{print $(NF-1);}'`
+ 
+ 
+ while true ; do 

-- 
BOINC packaging



More information about the pkg-boinc-commits mailing list